Subversion Repositories Scribus

Compare Revisions

Regard whitespace Rev 598 → Rev 597

/branches/Version13x/Scribus/admin/Doxyfile.global
File deleted
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/nmcheck
===================================================================
--- Version13x/Scribus/admin/nmcheck (revision 598)
+++ Version13x/Scribus/admin/nmcheck (nonexistent)
@@ -1,371 +0,0 @@
-#!/usr/bin/perl -w
-
-# Check namespace cleanness of a library.
-# Allowed symbols are passed as arguments.
-# They may have trailing * = wildcard.
-# Wildcards may be also specified as *::* (e.g. K*::* for all KDE classes)
-# Symbols are listed as full function unmangled names without arguments,
-# e.g. 'foo bar* nspace::*' allows foo(), foo(int), bar(), barbar()
-# and all symbols in namespace/class nspace.
-# If an argument has comma in it, it's a filename of a file containing
-# allowed symbols, one per line.
-
-
-$thisProg = "$0"; # This programs name
-
-$library = "";
-$allowed_symbols = "";
-$debug = 0;
-$allowed_weak = "";
-$weak_specified = 0;
-
-while( defined( $ARGV[ 0 ] ))
-{
- $_ = shift;
- if( /^--verbose$|^-v$/ )
- {
- $debug = 1;
- }
- elsif( /^--help$|^-h$/ )
- {
- print STDOUT "Usage $thisProg [OPTION] ... library [allowed symbols] ...\n",
- "\n",
- "Check if the given library has only allowed public symbols.\n",
- "\n",
- " --allowweak=[symbol] allow only these weak symbols\n",
- " -v, --verbose verbosely list files processed\n",
- " -h, --help print this help, then exit\n";
- exit 0;
- }
- elsif( /^--allowweak=(.*)$/ )
- {
- $allowed_weak .= " " . $1;
- $weak_specified = 1;
- }
- elsif( /^--allowweak$/ ) # simply list all weak
- {
- $allowed_weak .= " ";
- $weak_specified = 1;
- }
- elsif( /^--*/ )
- {
- die "Invalid argument!\n";
- }
- else
- {
- if( ! $library )
- {
- $library = $_;
- }
- else
- {
- $allowed_symbols .= " " . $_;
- }
- }
-}
-
-if( ! $weak_specified )
-{
- $allowed_weak = "*";
- # allow all weak symbols by default
- # instances of templates and similar stuff - unfortunately includes also things from other libraries,
- # so it cannot be on by default
-}
-
-print STDERR "library:" . $library . "\n" if $debug;
-print STDERR "allowed_symbols:" . $allowed_symbols . "\n" if $debug;
-print STDERR "allowed_weak:" . $allowed_weak . "\n" if $debug;
-
-$default_symbols = "_fini _init"; # system symbols
-# on my system, every .so has :
-# A _DYNAMIC
-# A _GLOBAL_OFFSET_TABLE_
-# A __bss_start
-# A _edata
-# A _end
-# T _fini
-# T _init
-# no need to list A symbols in $default_symbols
-
-print STDERR "default_symbols: " . $default_symbols . "\n" if $debug;
-
-print STDOUT "Namespace cleanness check for " . $library . " :\n";
-
-$lib_file = "";
-if( $library =~ /\.la$/ )
-{
- # get the real library file from .la
- open( FILEIN, $library ) || die "Couldn't open $! !\n";
- while( $line = <FILEIN> )
- {
- if( $line =~ /library_names=\'([^ ]*).*/o )
- {
- $lib_file = $1;
- }
- }
- close( FILEIN );
- if( ! $lib_file )
- {
- print STDERR "Library file not found in .la file!\n";
- exit 1;
- }
- my $libpath = $library;
- $libpath =~ s%[^/]*$%%;
- if( -e $libpath . ".libs/" . $lib_file )
- {
- $lib_file = $libpath . ".libs/" . $lib_file;
- }
- else
- {
- $lib_file = $libpath . $lib_file;
- }
-}
-else
-{
- $lib_file = $library;
-}
-
-print STDERR "libfile: ". $lib_file . "\n" if $debug;
-
-$allowed_symbols .= " " . $default_symbols;
-
-sub process_symbols($\@\%\@);
-
-@wildcards = ();
-%exacts = ();
-@regwildcards = ();
-process_symbols( $allowed_symbols, @wildcards, %exacts, @regwildcards );
-@weak_wildcards = ();
-%weak_exacts = ();
-@weak_regwildcards = ();
-process_symbols( $allowed_weak, @weak_wildcards, %weak_exacts, @weak_regwildcards );
-
-# grep is for stripping not exported symbols, which don't have address (=first column)
-$nm_command = "nm -BDCg " . $lib_file . " | grep -v '^ ' |";
-
-# TODO how portable is this nmcheck stuff?
-
-print STDERR "nm command:" . $nm_command . "\n" if $debug;
-
-open( FILEIN, $nm_command ) || die "nm command failed\n";
-
-my $exit_code = 0;
-
-while( $line = <FILEIN> )
-{
- my $type;
- my $symbol;
- if( $line =~ /^[^ ]* (.) (.*)$/o )
- {
- $type = $1;
- $symbol = $2;
- }
- else
- {
- die "Invalid line: " . $line . "\n";
- }
-
- print STDERR "Type: " . $type . " , symbol: " . $symbol . "\n" if $debug;
- if( $type eq "A" )
- { # these should be system symbols, so ignore them
- next;
- }
-
- my $orig_symbol = $symbol;
-
- if( $symbol =~ /\(anonymous namespace\)/o )
- { # TODO tell to prefer named namespaces? (shorter symbols)
- next;
- }
-
- # strip prefixes
- # the :: appending is to make "CLASS::*" work also for "vtable for CLASS"
- $symbol =~ s/^typeinfo for (.*)$/$1::/o;
- $symbol =~ s/^typeinfo fn for (.*)$/$1::/o;
- $symbol =~ s/^typeinfo name for (.*)$/$1::/o;
- $symbol =~ s/^vtable for (.*)$/$1::/o;
- $symbol =~ s/^guard variable for (.*)$/$1::/o;
- $symbol =~ s/^reference temporary for (.*)$/$1::/o;
- $symbol =~ s/^VTT for (.*)$/$1::/o;
- $symbol =~ s/^virtual thunk \[[^\]]*\] to (.*)$/$1::/o;
- $symbol =~ s/^non-virtual thunk \[[^\]]*\] to (.*)$/$1::/o;
- $symbol =~ s/^covariant return thunk \[[^\]]*\] to (.*)$/$1::/o;
- $symbol =~ s/^construction vtable thunk for (.*)$/$1::/o;
- $symbol =~ s/^construction vtable for .*-in-(.*) [0-9]*$/$1::/o;
-
- # templates seem to have also return types mangled in their name, and nm prints it too
- # they have also template arguments in the symbol
- # get rid of both of those
- while( $symbol =~ /<.*>/o )
- {
- $symbol =~ s/<[^<>]*>//o; # strip innermost <>
- }
- if( $symbol !~ /operator\(\)/o )
- {
- $symbol =~ s/ ?\(.*\).*$//o; # strip () and all after it
- }
- else
- {
- $symbol =~ s/(^|:| )operator\(\) ?\(.*\).*$//o; # strip () and all after it
- }
- $symbol =~ s/\[.*\] *$//o; # strip [in-charge] etc.
- if( $symbol =~ /(^|:| )operator /o )
- {
- $symbol =~ s/.* ([^\s]*)operator /$1/o; # strip everything before 'X::operator blah'
- }
- else
- {
- $symbol =~ s/.* ([^\s]+) *$/$1/o; # get last word (strip return type)
- }
-
- # print STDERR "Processed symbol: " . $symbol . "\n" if $debug;
-
- my $found = 0;
- if( $exacts{ $symbol } )
- {
- $found = 1;
- }
- if( ! $found )
- {
- for my $wild ( @wildcards )
- {
- if( index( $symbol, $wild ) == 0 )
- {
- $found = 1;
- last;
- }
- }
- }
- if( ! $found )
- {
- for my $wild ( @regwildcards )
- {
- if( $symbol =~ /^$wild$/ )
- {
- $found = 1;
- last;
- }
- }
- }
- if( ( ! $found ) && ( $type eq "W" || $type eq "V" ))
- {
- if( $weak_exacts{ $symbol } )
- {
- $found = 1;
- }
- if( ! $found )
- {
- for my $wild ( @weak_wildcards )
- {
- if( index( $symbol, $wild ) == 0 )
- {
- $found = 1;
- last;
- }
- }
- }
- if( ! $found )
- {
- for my $wild ( @weak_regwildcards )
- {
- if( $symbol =~ /^$wild$/ )
- {
- $found = 1;
- last;
- }
- }
- }
- }
-
- if( ! $found )
- {
- print STDERR "Public symbol " . $orig_symbol . " is not allowed!\n";
- $exit_code = 1;
- }
-}
-
-close( FILEIN );
-
-print STDOUT $exit_code == 0 ? "OK\n" : "FAILED\n";
-
-exit $exit_code;
-
-sub process_symbols($\@\%\@)
-{
- my $allowed_symbols = $_[ 0 ];
- my $wildcards_ref = $_[ 1 ];
- my $exacts_ref = $_[ 2 ];
- my $regwildcards_ref = $_[ 3 ];
-
- $allowed_symbols =~ s/^ *//o; # strip whitespace
- $allowed_symbols =~ s/ *$//o;
-
- if( $allowed_symbols eq "NONE" )
- {
- $allowed_symbols = "";
- }
-
- my @symbols1 = split( ' ', $allowed_symbols );
- my $i = 0;
- my @symbols2 = ();
- while( defined( $symbols1[ $i ] ))
- {
- my $symbol = $symbols1[ $i ];
- if( $symbol =~ /\./ ) # dot in name -> file
- {
- open( SYMIN, $symbol ) || die ( "Cannot open file " . $symbol . "!" );
- while( $line = <SYMIN> )
- {
- $line =~ s/^\s*//o; # strip whitespace
- $line =~ s/\s*$//o;
- if( $line !~ /^$/o # empty line
- && $line !~ /^\s*#/ ) # comment line starting with #
- {
- $symbols2[ $#symbols2 + 1 ] = $line;
- }
- }
- close( SYMIN );
- }
- else
- {
- $symbols2[ $#symbols2 + 1 ] = $symbol;
- }
- $i++;
- }
- $i = 0;
- while( defined( $symbols2[ $i ] ))
- {
- my $symbol = $symbols2[ $i ];
- if( $symbol =~ /__/
- || $symbol =~ /^_[A-Z]/ )
- { # ISO C++ 2.10.2
- die "Symbols containing a double underscore or beginning with an underscore and an upper-case letter are reserved!\n";
- }
- elsif( $symbol eq "main"
- || $symbol eq "main*" )
- {
- die "Symbol main is not allowed!\n";
- }
- if( $symbol =~ /^([^\*]*)\*$/o # trailing * without any * before it
- && $symbol !~ /operator\*$/o )
- {
- print STDERR "wildcard:" . $symbol . "\n" if $debug;
- $wildcards_ref->[ $#{$wildcards_ref} + 1 ] = $1;
- }
- elsif( $symbol =~ /\*$/o
- && ( $symbol =~ /\*::/o || $symbol =~ /::\*/o )
- && $symbol !~ /^\*/o
- && $symbol !~ /operator\*$/o )
- {
- print STDERR "regwildcard:" . $symbol . "\n" if $debug;
- $symbol =~ s/\*/\.\*/go; # change * to .* (regexp)
- $regwildcards_ref->[ $#{$regwildcards_ref} + 1 ] = $symbol;
- }
- else
- {
- print STDERR "exact:" . $symbol . "\n" if $debug;
- $exacts_ref->{ $symbol } = 1;
- }
- $i++;
- }
-}
/Version13x/Scribus/admin/nmcheck
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/cvs-clean.pl
===================================================================
--- Version13x/Scribus/admin/cvs-clean.pl (revision 598)
+++ Version13x/Scribus/admin/cvs-clean.pl (nonexistent)
@@ -1,87 +0,0 @@
-#! /usr/bin/perl
-
-#
-# This script recursively (beginning with the current directory)
-# wipes out everything not registered in CVS.
-#
-# written by Oswald Buddenhagen <ossi@kde.org>
-# inspired by the "old" cvs-clean target from Makefile.common
-#
-# This file is free software in terms of the BSD license. That means
-# that you can do anything with it except removing this license or
-# the above copyright notice. There is NO WARRANTY of any kind.
-#
-
-sub rmrf()
-{
- my $fn = shift;
- lstat ($fn);
- if (-d _) {
- if (opendir (DIR, $fn)) {
- for my $efn (grep (!/^\.\.?$/, readdir (DIR))) {
- &rmrf ($fn."/".$efn);
- }
- closedir (DIR);
- rmdir ($fn);
- }
- } else {
- unlink ($fn);
- }
-}
-
-sub newfiles()
-{
- my ($indir, $incvs) = @_;
- for my $n (keys (%$incvs)) { delete $$indir{$n} }
- return sort (keys (%$indir));
-}
-
-sub cvsclean()
-{
- my $dir = shift;
- my (%dirsdir, %filesdir, %dirscvs, %filescvs);
- my $dnam = $dir ? $dir : ".";
- if (!opendir (DIR, $dnam)) {
- print STDERR "Cannot enter \"".$dnam."\".\n";
- return;
- }
- for my $fn (grep (!/^\.\.?$/, readdir (DIR))) {
- if (-d $dir.$fn) {
- $fn eq "CVS" or $dirsdir{$fn} = 1;
- } else {
- $filesdir{$fn} = 1;
- }
- }
- closedir (DIR);
- if (!open (FILE, "<".$dir."CVS/Entries")) {
- print STDERR "No CVS information in \"".$dnam."\".\n";
- return;
- }
- while (<FILE>) {
- m%^D/([^/]+)/.*$% and $dirscvs{$1} = 1;
- m%^/([^/]+)/.*$% and $filescvs{$1} = 1;
- }
- close (FILE);
- if (open (FILE, "<".$dir."CVS/Entries.Log")) {
- while (<FILE>) {
- m%^A D/([^/]+)/.*$% and $dirscvs{$1} = 1;
- m%^A /([^/]+)/.*$% and $filescvs{$1} = 1;
- m%^R D/([^/]+)/.*$% and delete $dirscvs{$1};
- m%^R /([^/]+)/.*$% and delete $filescvs{$1};
- }
- close (FILE);
- }
- for my $fn (&newfiles (\%filesdir, \%filescvs)) {
- print ("F ".$dir.$fn."\n");
- &rmrf ($dir.$fn);
- }
- for my $fn (&newfiles (\%dirsdir, \%dirscvs)) {
- print ("D ".$dir.$fn."\n");
- &rmrf ($dir.$fn);
- }
- for my $fn (sort (keys (%dirscvs))) {
- &cvsclean ($dir.$fn."/");
- }
-}
-
-&cvsclean ("");
/Version13x/Scribus/admin/cvs-clean.pl
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/cvs.sh
===================================================================
--- Version13x/Scribus/admin/cvs.sh (revision 598)
+++ Version13x/Scribus/admin/cvs.sh (nonexistent)
@@ -1,669 +0,0 @@
-#! /bin/sh
-#
-# cvs.sh
-#
-# This file contains support code from Makefile.common
-# It defines a shell function for each known target
-# and then does a case to call the correct function.
-
-call_and_fix_autoconf()
-{
- $AUTOCONF || exit 1
- if test -r configure.in.in ; then
- perl -pi -e "print \"if test \\\"x\\\$with_fast_perl\\\" = \\\"xyes\\\"; then\
- \\n perl -i.bak \\\$ac_aux_dir/conf.change.pl \\\$CONFIG_STATUS\
- \\\\\\n || mv \\\$CONFIG_STATUS.bak \\\$CONFIG_STATUS\
- \\n rm -f \\\$CONFIG_STATUS.bak\\nfi\
- \\n\" if /^\\s*chmod\\s+.*\\+x\\s+.*CONFIG_STATUS/; s,^#line.*LINENO.*\$,/* \$& */, ;" configure
- fi
-}
-
-strip_makefile()
-{
- if test ! -f $makefile_wo; then
- perl -e '$in=0; while ( <> ) { $in = 1 if ($_ =~ m/^if / ); print $_ unless ($in || $_ =~ m/^include /); $in = 0 if ($_ =~ m/^endif/); }' < $makefile_am > $makefile_wo
- fi
-}
-
-check_autotool_versions()
-{
-required_autoconf_version="2.53 or newer"
-AUTOCONF_VERSION=`$AUTOCONF --version | head -n 1`
-case $AUTOCONF_VERSION in
- Autoconf*2.5* | autoconf*2.5* ) : ;;
- "" )
- echo "*** AUTOCONF NOT FOUND!."
- echo "*** KDE requires autoconf $required_autoconf_version"
- exit 1
- ;;
- * )
- echo "*** YOU'RE USING $AUTOCONF_VERSION."
- echo "*** KDE requires autoconf $required_autoconf_version"
- exit 1
- ;;
-esac
-
-AUTOHEADER_VERSION=`$AUTOHEADER --version | head -n 1`
-case $AUTOHEADER_VERSION in
- Autoconf*2.5* | autoheader*2.5* ) : ;;
- "" )
- echo "*** AUTOHEADER NOT FOUND!."
- echo "*** KDE requires autoheader $required_autoconf_version"
- exit 1
- ;;
- * )
- echo "*** YOU'RE USING $AUTOHEADER_VERSION."
- echo "*** KDE requires autoheader $required_autoconf_version"
- exit 1
- ;;
-esac
-
-AUTOMAKE_STRING=`$AUTOMAKE --version | head -n 1`
-required_automake_version="1.6.1 or newer"
-case $AUTOMAKE_STRING in
- automake*1.5d* | automake*1.5* | automake*1.5-* )
- echo "*** YOU'RE USING $AUTOMAKE_STRING."
- echo "*** KDE requires automake $required_automake_version"
- exit 1
- ;;
- automake*1.6.* | automake*1.7* | automake*1.8* | automake*1.9*) : ;;
- "" )
- echo "*** AUTOMAKE NOT FOUND!."
- echo "*** KDE requires automake $required_automake_version"
- exit 1
- ;;
- unsermake* ) :
- echo "*** YOU'RE USING UNSERMAKE."
- echo "*** GOOD LUCK!! :)"
- ;;
- * )
- echo "*** YOU'RE USING $AUTOMAKE_STRING."
- echo "*** KDE requires automake $required_automake_version"
- exit 1
- ;;
-esac
-unset required_automake_version
-}
-
-cvs()
-{
-check_autotool_versions
-acinclude_m4
-
-### Make new subdirs and configure.in.
-### The make calls could be optimized away here,
-### with a little thought.
-if test -r configure.in.in; then
- rm -f configure.in
- echo "*** Creating list of subdirectories"
- create_subdirs
-
- if test -r Makefile.am.in; then
- echo "*** Creating Makefile.am"
- if grep '\$(top_srcdir)/Makefile.am:' $makefile_am >/dev/null; then
- strip_makefile
- $MAKE -f $makefile_wo top_srcdir=. ./Makefile.am || exit 1
- else
- Makefile_am
- fi
- fi
- configure_files
- echo "*** Creating configure.in"
- if grep '\$(top_srcdir)/configure.in:' $makefile_am >/dev/null; then
- strip_makefile
- $MAKE -f $makefile_wo top_srcdir=. ./configure.in || exit 1
- else
- configure_in
- fi
-fi
-
-echo "*** Creating aclocal.m4"
-$ACLOCAL $ACLOCALFLAGS || exit 1
-echo "*** Creating configure"
-call_and_fix_autoconf
-
-if egrep "^AM_CONFIG_HEADER" configure.in >/dev/null 2>&1; then
- echo "*** Creating config.h template"
- $AUTOHEADER || exit 1
-fi
-
-echo "*** Creating Makefile templates"
-$AUTOMAKE || exit 1
-if test -z "$UNSERMAKE"; then
- echo "*** Postprocessing Makefile templates"
- perl -w admin/am_edit || exit 1
-fi
-
-if egrep "^cvs-local:" $makefile_am >/dev/null; then \
- strip_makefile
- $MAKE -f $makefile_wo cvs-local top_srcdir=. || exit 1
-fi
-
-echo "*** Creating date/time stamp"
-touch stamp-h.in
-
-echo "*** Finished"
-echo " Don't forget to run ./configure"
-echo " If you haven't done so in a while, run ./configure --help"
-}
-
-dist()
-{
-check_autotool_versions
-
-###
-### First build all of the files necessary to do just "make"
-###
-acinclude_m4
-if test -r configure.in.in; then
- rm -f configure.in
- create_subdirs
-
- if test -r Makefile.am.in; then
- if grep '\$(top_srcdir)/Makefile.am:' $makefile_am >/dev/null; then
- strip_makefile
- $MAKE -f $makefile_wo top_srcdir=. ./Makefile.am || exit 1
- else
- Makefile_am
- fi
- fi
- configure_files
- if grep '\$(top_srcdir)/configure.in:' $makefile_am >/dev/null; then
- strip_makefile
- $MAKE -f $makefile_wo top_srcdir=. ./configure.in || exit 1
- else
- configure_in
- fi
-fi
-$ACLOCAL $ACLOCALFLAGS
-if egrep "^AM_CONFIG_HEADER" configure.in >/dev/null 2>&1; then
- echo "*** Creating config.h template"
- $AUTOHEADER || exit 1
-fi
-$AUTOMAKE --foreign
-perl -w admin/am_edit
-call_and_fix_autoconf
-touch stamp-h.in
-if grep "^cvs-local:" $makefile_am >/dev/null; then
- strip_makefile
- $MAKE -f $makefile_wo cvs-local top_srcdir=.
-fi
-
-###
-### Then make messages
-###
-if test -d po; then
- LIST=`find ./po -name "*.po"`
- for i in $LIST; do
- file2=`echo $i | sed -e "s#\.po#\.gmo#"`
- msgfmt -o $file2 $i || touch $file2
- done
-fi
-if grep "^cvs-dist-local:" $makefile_am >/dev/null; then
- strip_makefile
- $MAKE -f $makefile_wo cvs-dist-local top_srcdir=.
-fi
-}
-
-subdir_dist()
-{
-$ACLOCAL $ACLOCALFLAGS
-$AUTOHEADER
-$AUTOMAKE
-perl -w ../admin/am_edit --path=../admin
-call_and_fix_autoconf
-touch stamp-h.in
-}
-
-configure_in()
-{
-rm -f configure.in configure.in.new
-kde_use_qt_param=
-test -f configure.files || { echo "need configure.files for configure.in"; exit 1; }
-list=`fgrep -v "configure.in.bot" < configure.files | fgrep -v "configure.in.mid"`
-: > configure.in.new
-for file in $list; do
- echo "dnl =======================================================" >> configure.in.new
- echo "dnl FILE: $file" >> configure.in.new
- echo "dnl =======================================================" >> configure.in.new
- echo "" >> configure.in.new
- cat $file >> configure.in.new
-done
-echo "KDE_CREATE_SUBDIRSLIST" >> configure.in.new
-if test -f Makefile.am.in; then
- subdirs=`cat subdirs`
- for dir in $subdirs; do
- vdir=`echo $dir | sed -e 's,[-+.@],_,g'`
- echo "AM_CONDITIONAL($vdir""_SUBDIR_included, test \"x\$$vdir""_SUBDIR_included\" = xyes)" >> configure.in.new
- if test -f "$dir/configure.in"; then
- echo "if test \"x\$$vdir""_SUBDIR_included\" = xyes; then " >> configure.in.new
- echo " AC_CONFIG_SUBDIRS($dir)" >> configure.in.new
- echo "fi" >> configure.in.new
- fi
- done
-fi
-
-echo "AC_CONFIG_FILES([ Makefile ])" >> configure.in.new
-if test -n "$UNSERMAKE"; then
- echo "AC_CONFIG_FILES([ Makefile.rules ])" >> configure.in.new
- echo "AC_CONFIG_FILES([ Makefile.calls ])" >> configure.in.new
-fi
-
-if test -f inst-apps; then
- topleveldirs=`cat inst-apps`
-else
- topleveldirs=
- for dir in `ls -1d * | sort`; do
- if test "$dir" != "debian" && test -d $dir; then
- topleveldirs="$topleveldirs $dir"
- fi
- done
-fi
-
-for topleveldir in $topleveldirs; do
- if test -f $topleveldir/configure.in; then
- continue
- fi
- if test -f $topleveldir/Makefile.am; then :; else
- continue
- fi
-
- mfs=`find $topleveldir -name Makefile.am -print | fgrep -v "/." | \
- sed -e 's#\./##; s#/Makefile.am$##' | sort | sed -e 's#$#/Makefile#'`
- for i in $mfs; do
- echo "AC_CONFIG_FILES([ $i ])" >> configure.in.new
- if test -n "$UNSERMAKE"; then
- echo "AC_CONFIG_FILES([ $i.rules ])" >> configure.in.new
- echo "AC_CONFIG_FILES([ $i.calls ])" >> configure.in.new
- fi
- done
-done
-
-files=`cat configure.files`
-list=`egrep '^dnl AC_OUTPUT\(.*\)' $files | sed -e "s#^.*dnl AC_OUTPUT(\(.*\))#\1#"`
-for file in $list; do
- echo "AC_CONFIG_FILES([ $file ])" >> configure.in.new
-done
-
-if test -n "$UNSERMAKE"; then
- echo "AC_CONFIG_FILES([ MakeVars ])" >> configure.in.new
-fi
-
-midfiles=`cat configure.files | fgrep "configure.in.mid"`
-test -n "$midfiles" && cat $midfiles >> configure.in.new
-
-echo "AC_OUTPUT" >> configure.in.new
-modulename=
-if test -f configure.in.in; then
- if head -n 2 configure.in.in | egrep "^#MIN_CONFIG\(.*\)$" > /dev/null; then
- kde_use_qt_param=`cat configure.in.in | sed -n -e "s/#MIN_CONFIG(\(.*\))/\1/p"`
- fi
- if head -n 2 configure.in.in | egrep "^#MIN_CONFIG" > /dev/null; then
- line=`grep "^AM_INIT_AUTOMAKE(" configure.in.in`
- if test -n "$line"; then
- modulename=`echo $line | sed -e "s#AM_INIT_AUTOMAKE(\([^,]*\),.*#\1#"`
- VERSION=`echo $line | sed -e "s#AM_INIT_AUTOMAKE([^,]*, *\([^)]*\)).*#\1#"`
- fi
- sed -e "s#AM_INIT_AUTOMAKE([^@].*#dnl PACKAGE set before#" \
- configure.in.new > configure.in && mv configure.in configure.in.new
- fi
-fi
-if test -z "$VERSION" || test "$VERSION" = "@VERSION@"; then
- VERSION="\"3.2.91\""
-fi
-if test -z "$modulename" || test "$modulename" = "@MODULENAME@"; then
- modulename=`pwd`;
- modulename=`basename $modulename`
- esc_VERSION=`echo $VERSION | sed -e "s#[^.0-9a-zA-Z]##g"`
- modulename=`echo $modulename | sed -e "s#-$esc_VERSION##"`
-
-fi
-if test -n "$kde_use_qt_param"; then
- sed -e "s#^dnl KDE_USE_QT#KDE_USE_QT($kde_use_qt_param)#" \
- configure.in.new > configure.in && mv configure.in configure.in.new
-fi
-sed -e "s#@MODULENAME@#$modulename#" configure.in.new |
- sed -e "s#@VERSION@#$VERSION#" > configure.in
-botfiles=`cat configure.files | egrep "configure.in.bot"`
-test -n "$botfiles" && cat $botfiles >> configure.in
-cat $admindir/configure.in.bot.end >> configure.in
-rm -f configure.in.new
-}
-
-configure_files()
-{
-echo "*** Creating configure.files"
-admindir=NO
-for i in . .. ../.. ../../..; do
- if test -x $i/admin; then admindir=$i/admin; break; fi
-done
-rm -f configure.files
-touch configure.files
-if test -f configure.in.in && head -n 2 configure.in.in | grep "^#MIN_CONFIG" > /dev/null; then
- echo $admindir/configure.in.min >> configure.files
-fi
-test -f configure.in.in && echo configure.in.in >> configure.files
-# we collect files in the subdirs and do some sorting tricks, so subsubdirs come after subdirs
-if test -f inst-apps; then
- inst=`cat inst-apps`
- list=""
- for i in $inst; do
- list="$list `find $i/ -name "configure.in.in" -o -name "configure.in.bot" -o -name "configure.in.mid" | \
- sed -e "s,/configure,/aaaconfigure," | sort | sed -e "s,/aaaconfigure,/configure,"`"
- done
-else
- list=`find . -name "configure.in.in" -o -name "configure.in.bot" -o -name "configure.in.mid" | \
- sed -e "s,/configure,/aaaconfigure," | sort | sed -e "s,/aaaconfigure,/configure,"`
-fi
-for i in $list; do if test -f $i && test `dirname $i` != "." ; then
- echo $i >> configure.files
-fi; done
-test -f configure.in.mid && echo configure.in.mid >> configure.files
-test -f configure.in.bot && echo configure.in.bot >> configure.files
-if test ! -s configure.files; then
- echo "There are no files to build a configure. Please check your checkout."
- exit 1
-fi
-}
-
-create_subdirs()
-{
-if grep '\$(top_srcdir)/subdirs:' $makefile_am >/dev/null; then
- # as many modules contain rules to create subdirs without any
- # dependencies make won't create it unless there is no file.
- # so we check if that's a dummy rule or one that works
- rm -f subdirs.cvs.sh.$$
- if test -f subdirs; then
- mv subdirs subdirs.cvs.sh.$$
- fi
- strip_makefile
- $MAKE -f $makefile_wo top_srcdir=. ./subdirs || exit 1
- if test -f subdirs.cvs.sh.$$; then
- if test -s subdirs; then
- rm subdirs.cvs.sh.$$
- else
- mv subdirs.cvs.sh.$$ subdirs
- fi
- fi
-else
- subdirs
-fi
-}
-
-subdirs()
-{
-dirs=
-idirs=
-if test -f inst-apps; then
- idirs=`cat inst-apps`
-else
- idirs=`ls -1 | sort`
-fi
-
-compilefirst=`sed -ne 's#^COMPILE_FIRST[ ]*=[ ]*##p' $makefile_am | head -n 1`
-compilelast=`sed -ne 's#^COMPILE_LAST[ ]*=[ ]*##p' $makefile_am | head -n 1`
-for i in $idirs; do
- if test -f $i/Makefile.am; then
- case " $compilefirst $compilelast " in
- *" $i "*) ;;
- *) dirs="$dirs $i"
- esac
- fi
-done
-
-: > ./_SUBDIRS
-
-for d in $compilefirst; do
- echo $d >> ./_SUBDIRS
-done
-
-(for d in $dirs; do
- list=`sed -ne "s#^COMPILE_BEFORE_$d""[ ]*=[ ]*##p" $makefile_am | head -n 1`
- for s in $list; do
- echo $s $d
- done
- list=`sed -ne "s#^COMPILE_AFTER_$d""[ ]*=[ ]*##p" $makefile_am | head -n 1`
- for s in $list; do
- echo $d $s
- done
- echo $d $d
-done ) | tsort >> ./_SUBDIRS
-
-for d in $compilelast; do
- echo $d >> ./_SUBDIRS
-done
-
-if test -r subdirs && cmp -s subdirs _SUBDIRS; then
- rm -f _SUBDIRS
-fi
-test -r _SUBDIRS && mv _SUBDIRS subdirs || true
-}
-
-Makefile_am()
-{
-if test -f Makefile.am.in; then
- compilefirst=`sed -ne 's#^COMPILE_FIRST[ ]*=[ ]*##p' $makefile_am | head -n 1`
- compilelast=`sed -ne 's#^COMPILE_LAST[ ]*=[ ]*##p' $makefile_am | head -n 1`
-
- idirs=
- dirs=
- if test -f inst-apps; then
- idirs=`cat inst-apps`
- else
- idirs=`cat subdirs`
- fi
- for i in $idirs; do
- case " $compilefirst $compilelast " in
- *" $i "*) ;;
- *) dirs="$dirs $i"
- esac
- done
-
- adds=`fgrep '$(top_srcdir)/acinclude.m4:' Makefile.am.in | sed -e 's,^[^:]*: *,,; s,\$(top_srcdir)/,,g'`
- if echo "$adds" | fgrep "*" >/dev/null ; then
- adds=`ls -d -1 $adds 2>/dev/null`
- fgrep -v '$(top_srcdir)/acinclude.m4:' Makefile.am.in > Makefile.am.in.adds
- str='$(top_srcdir)/acinclude.m4:'
- for add in $adds; do
- str="$str \$(top_srcdir)/$add"
- done
- echo $str >> Makefile.am.in.adds
- else
- cat Makefile.am.in > Makefile.am.in.adds
- fi
-
- if test -n "$UNSERMAKE"; then
- cat Makefile.am.in.adds > Makefile.am
- topsubdirs=
- for i in $compilefirst $dirs $compilelast; do
- vari=`echo $i | sed -e "s,[-+],_,g"`
- echo "if $vari""_SUBDIR_included" >> Makefile.am
- echo "$vari""_SUBDIR=$i" >> Makefile.am
- echo "endif" >> Makefile.am
- topsubdirs="$topsubdirs \$($vari""_SUBDIR)"
- done
- echo "SUBDIRS=$topsubdirs" >> Makefile.am
- else
- cat Makefile.am.in.adds | \
- sed -e 's,^\s*\(COMPILE_BEFORE.*\),# \1,' | \
- sed -e 's,^\s*\(COMPILE_AFTER.*\),# \1,' > Makefile.am
- echo "SUBDIRS="'$(TOPSUBDIRS)' >> Makefile.am
- fi
- rm Makefile.am.in.adds
-fi
-}
-
-acinclude_m4()
-{
- echo "*** Creating acinclude.m4"
- adds=
- if grep '\$(top_srcdir)/acinclude.m4:' $makefile_am >/dev/null; then
- strip_makefile
- rm -f acinclude.m4
- adds=`grep '\$(top_srcdir)/acinclude.m4:' $makefile_wo | sed -e 's,^[^:]*: *,,; s,\$(top_srcdir),.,g'`
- if echo $adds | fgrep "*" >/dev/null ; then
- adds=`ls -d -1 $adds 2>/dev/null`
- else
- $MAKE -f $makefile_wo top_srcdir=. ./acinclude.m4 || exit 1
- fi
- else
- rm -f acinclude.m4
- fi
- # if it wasn't created up to now, then we do it better
- if test ! -f acinclude.m4; then
- cat admin/acinclude.m4.in admin/libtool.m4.in $adds > acinclude.m4
- fi
-}
-
-cvs_clean()
-{
-if test -d CVS; then :; else
- echo "You don't have a toplevel CVS directory."
- echo "You most certainly didn't use cvs to get these sources."
- echo "But this function depends on cvs's information."
- exit 1
-fi
-perl $admindir/cvs-clean.pl
-}
-
-package_merge()
-{
-catalogs=$POFILES
-for cat in $catalogs; do
- msgmerge -o $cat.new $cat $PACKAGE.pot
- if test -s $cat.new; then
- grep -v "\"POT-Creation" $cat.new > $cat.new.2
- grep -v "\"POT-Creation" $cat >> $cat.new.1
- if diff $cat.new.1 $cat.new.2; then
- rm $cat.new
- else
- mv $cat.new $cat
- fi
- rm -f $cat.new.1 $cat.new.2
- fi
-done
-}
-
-package_messages()
-{
-rm -rf po.backup
-mkdir po.backup
-
-for i in `ls -1 po/*.pot 2>/dev/null | sed -e "s#po/##"`; do
- egrep -v '^#([^:]|$)' po/$i | egrep '^.*[^ ]+.*$' | grep -v "\"POT-Creation" > po.backup/$i
- cat po/$i > po.backup/backup_$i
- touch -r po/$i po.backup/backup_$i
- rm po/$i
-done
-
-podir=${podir:-$PWD/po}
-files=`find . -name Makefile.am | xargs egrep -l '^messages:' `
-dirs=`for i in $files; do echo \`dirname $i\`; done`
-tmpname="$PWD/messages.log"
-if test -z "$EXTRACTRC"; then EXTRACTRC=extractrc ; fi
-if test -z "$PREPARETIPS"; then PREPARETIPS=preparetips ; fi
-export EXTRACTRC PREPARETIPS
-
-for subdir in $dirs; do
- test -z "$VERBOSE" || echo "Making messages in $subdir"
- (cd $subdir
- if test -n "`grep -e '^messages:.*rc.cpp' Makefile.am`"; then
- $EXTRACTRC *.rc *.ui *.kcfg > rc.cpp
- else
- candidates=`ls -1 *.rc *.ui *.kcfg 2>/dev/null`
- if test -n "$candidates"; then
- echo "$subdir has *.rc, *.ui or *.kcfg files, but not correct messages line"
- fi
- fi
- if test -n "`find . -name \*.c\* -o -name \*.h\* | xargs grep -s KAboutData 2>/dev/null`"; then
- echo -e 'i18n("_: NAME OF TRANSLATORS\\n"\n"Your names")\ni18n("_: EMAIL OF TRANSLATORS\\n"\n"Your emails")' > _translatorinfo.cpp
- else echo " " > _translatorinfo.cpp
- fi
- perl -e '$mes=0; while (<STDIN>) { next if (/^(if\s|else\s|endif)/); if (/^messages:/) { $mes=1; print $_; next; } if ($mes) { if (/$\\(XGETTEXT\)/ && / -o/) { s/ -o \$\(podir\)/ _translatorinfo.cpp -o \$\(podir\)/ } print $_; } else { print $_; } }' < Makefile.am | egrep -v '^include ' > _transMakefile
-
- kdepotpath=${includedir:-${KDEDIR:-`kde-config --prefix`}/include}/kde.pot
-
- $MAKE -s -f _transMakefile podir=$podir EXTRACTRC="$EXTRACTRC" PREPARETIPS="$PREPARETIPS" \
- XGETTEXT="${XGETTEXT:-xgettext} -C -ki18n -ktr2i18n -kI18N_NOOP -kaliasLocale -x $kdepotpath" messages
- exit_code=$?
- if test "$exit_code" != 0; then
- echo "make exit code: $exit_code"
- fi
- ) 2>&1 | grep -v '^make\[1\]' > $tmpname
- test -s $tmpname && { echo $subdir ; cat "$tmpname"; }
- test -f $subdir/rc.cpp && rm -f $subdir/rc.cpp
- rm -f $subdir/_translatorinfo.cpp
- rm -f $subdir/_transMakefile
-done
-rm -f $tmpname
-for i in `ls -1 po.backup/*.pot 2>/dev/null | sed -e "s#po.backup/##" | egrep -v '^backup_'`; do
- test -f po/$i || echo "disappeared: $i"
-done
-for i in `ls -1 po/*.pot 2>/dev/null | sed -e "s#po/##"`; do
- sed -e 's,^"Content-Type: text/plain; charset=CHARSET\\n"$,"Content-Type: text/plain; charset=UTF-8\\n",' po/$i > po/$i.new && mv po/$i.new po/$i
- msgmerge -q -o po/$i po/$i po/$i
- egrep -v '^#([^:]|$)' po/$i | egrep '^.*[^ ]+.*$' | grep -v "\"POT-Creation" > temp.pot
- if test -f po.backup/$i && test -n "`diff temp.pot po.backup/$i`"; then
- echo "will update $i"
- sed -e 's,^"Content-Type: text/plain; charset=CHARSET\\n"$,"Content-Type: text/plain; charset=UTF-8\\n",' po.backup/backup_$i > po/$i.new && mv po/$i.new po.backup/backup_$i
- msgmerge -q po.backup/backup_$i po/$i > temp.pot
- mv temp.pot po/$i
- else
- if test -f po.backup/backup_$i; then
- test -z "$VERBOSE" || echo "I'm restoring $i"
- mv po.backup/backup_$i po/$i
- rm po.backup/$i
- else
- echo "will add $i"
- fi
- fi
-done
-rm -f temp.pot
-rm -rf po.backup
-}
-
-unset LC_ALL || :
-unset LANG || :
-unset LC_CTYPE || :
-unset LANGUAGE || :
-
-unset CDPATH || :
-admindir=`echo "$0" | sed 's%[\\/][^\\/][^\\/]*$%%'`
-test "x$admindir" = "x$0" && admindir=.
-
-test "x$MAKE" = x && MAKE=make
-makefile_am=Makefile.am
-makefile_wo=Makefile.am.wo
-if test -f Makefile.am.in; then
- makefile_am=Makefile.am.in
- makefile_wo=Makefile.am.in.wo
- rm -f $makefile_wo
-fi
-
-# Suck in the AUTOCONF detection code
-. $admindir/detect-autoconf.sh
-
-###
-### Main
-###
-
-arg=`echo $1 | tr '\-.' __`
-case $arg in
- cvs | dist | subdir_dist | configure_in | configure_files | subdirs | \
- cvs_clean | package_merge | package_messages | Makefile_am | acinclude_m4 ) $arg ;;
- configure ) call_and_fix_autoconf ;;
- * ) echo "Usage: cvs.sh <target>"
- echo "Target can be one of:"
- echo " cvs cvs-clean dist"
- echo " configure.in configure.files"
- echo " package-merge package-messages"
- echo ""
- echo "Usage: anything but $1"
- exit 1 ;;
-esac
-
-if test -f $makefile_wo; then
- rm $makefile_wo
-fi
-
-exit 0
/Version13x/Scribus/admin/cvs.sh
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/detect-autoconf.sh
===================================================================
--- Version13x/Scribus/admin/detect-autoconf.sh (revision 598)
+++ Version13x/Scribus/admin/detect-autoconf.sh (nonexistent)
@@ -1,59 +0,0 @@
-#! /bin/sh
-
-# Global variables...
-AUTOCONF="autoconf"
-AUTOHEADER="autoheader"
-AUTOM4TE="autom4te"
-AUTOMAKE="automake"
-ACLOCAL="aclocal"
-
-# Please add higher versions first. The last version number is the minimum
-# needed to compile KDE. Do not forget to include the name/version #
-# separator if one is present, e.g. -1.2 where - is the separator.
-KDE_AUTOCONF_VERS="-2.58 -2.57 257 -2.54 -2.53a -2.53 -2.52 -2.5x"
-KDE_AUTOMAKE_VERS="-1.7 17 -1.6"
-
-# We don't use variable here for remembering the type ... strings. Local
-# variables are not that portable, but we fear namespace issues with our
-# includer.
-checkAutoconf()
-{
- for kde_autoconf_version in $KDE_AUTOCONF_VERS; do
- if test -x "`$WHICH $AUTOCONF$kde_autoconf_version 2>/dev/null`"; then
- AUTOCONF="`$WHICH $AUTOCONF$kde_autoconf_version`"
- AUTOHEADER="`$WHICH $AUTOHEADER$kde_autoconf_version`"
- AUTOM4TE="`$WHICH $AUTOM4TE$kde_autoconf_version`"
- break
- fi
- done
-}
-
-checkAutomake ()
-{
- for kde_automake_version in $KDE_AUTOMAKE_VERS; do
- if test -x "`$WHICH $AUTOMAKE$kde_automake_version 2>/dev/null`"; then
- AUTOMAKE="`$WHICH $AUTOMAKE$kde_automake_version`"
- ACLOCAL="`$WHICH $ACLOCAL$kde_automake_version`"
- break
- fi
- done
-
- if test -n "$UNSERMAKE"; then
- AUTOMAKE="$UNSERMAKE"
- fi
-}
-
-checkWhich ()
-{
- WHICH=""
- for i in "type -p" "which" "type" ; do
- T=`$i sh 2> /dev/null`
- test -x "$T" && WHICH="$i" && break
- done
-}
-
-checkWhich
-checkAutoconf
-checkAutomake
-
-export WHICH AUTOHEADER AUTOCONF AUTOM4TE AUTOMAKE ACLOCAL
/Version13x/Scribus/admin/detect-autoconf.sh
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/configure.in.bot.end
===================================================================
--- Version13x/Scribus/admin/configure.in.bot.end (revision 598)
+++ Version13x/Scribus/admin/configure.in.bot.end (nonexistent)
@@ -1,30 +0,0 @@
-# Check if KDE_SET_PREFIX was called, and --prefix was passed to configure
-if test -n "$kde_libs_prefix" -a -n "$given_prefix"; then
- # And if so, warn when they don't match
- if test "$kde_libs_prefix" != "$given_prefix"; then
- # And if kde doesn't know about the prefix yet
- echo ":"`kde-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
- if test $? -ne 0; then
- echo ""
- echo "Warning: you chose to install this package in $given_prefix,"
- echo "but KDE was found in $kde_libs_prefix."
- echo "For this to work, you will need to tell KDE about the new prefix, by ensuring"
- echo "that KDEDIRS contains it, e.g. export KDEDIRS=$given_prefix:$kde_libs_prefix"
- echo "Then restart KDE."
- echo ""
- fi
- fi
-fi
-
-if test "$all_tests" = "bad"; then
- if test ! "$cache_file" = "/dev/null"; then
- echo ""
- echo "Please remove the file $cache_file after changing your setup"
- echo "so that configure will find the changes next time."
- echo ""
- fi
-else
- echo ""
- echo "Good - your configure finished. Start make now"
- echo ""
-fi
/Version13x/Scribus/admin/configure.in.bot.end
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/oldinclude.m4.in
===================================================================
--- Version13x/Scribus/admin/oldinclude.m4.in (revision 598)
+++ Version13x/Scribus/admin/oldinclude.m4.in (nonexistent)
@@ -1,192 +0,0 @@
-### -*- autoconf -*-
-
-dnl This file is part of the KDE libraries/packages
-dnl Copyright (C) 1997 Janos Farkas (chexum@shadow.banki.hu)
-dnl (C) 1997,98,99 Stephan Kulow (coolo@kde.org)
-
-dnl This file is free software; you can redistribute it and/or
-dnl modify it under the terms of the GNU Library General Public
-dnl License as published by the Free Software Foundation; either
-dnl version 2 of the License, or (at your option) any later version.
-
-dnl This library is distributed in the hope that it will be useful,
-dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
-dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-dnl Library General Public License for more details.
-
-dnl You should have received a copy of the GNU Library General Public License
-dnl along with this library; see the file COPYING.LIB. If not, write to
-dnl the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
-dnl Boston, MA 02111-1307, USA.
-
-AC_DEFUN([KDE_CHECK_MICO],
-[
-AC_REQUIRE([KDE_CHECK_LIBDL])
-AC_REQUIRE([KDE_MISC_TESTS])
-AC_MSG_CHECKING(for MICO)
-
-if test -z "$MICODIR"; then
- kde_micodir=/usr/local
- else
- kde_micodir="$MICODIR"
-fi
-
-AC_ARG_WITH(micodir,
- [ --with-micodir=micodir where mico is installed ],
- kde_micodir=$withval,
- kde_micodir=$kde_micodir
-)
-
-AC_CACHE_VAL(kde_cv_mico_incdir,
-[
- mico_incdirs="$kde_micodir/include /usr/include /usr/local/include /usr/local/include /opt/local/include $kde_extra_includes"
-AC_FIND_FILE(CORBA.h, $mico_incdirs, kde_cv_mico_incdir)
-
-])
-kde_micodir=`echo $kde_cv_mico_incdir | sed -e 's#/include##'`
-
-if test ! -r $kde_micodir/include/CORBA.h; then
- AC_MSG_ERROR([No CORBA.h found, specify another micodir])
-fi
-
-AC_MSG_RESULT($kde_micodir)
-
-MICO_INCLUDES=-I$kde_micodir/include
-AC_SUBST(MICO_INCLUDES)
-MICO_LDFLAGS=-L$kde_micodir/lib
-AC_SUBST(MICO_LDFLAGS)
-micodir=$kde_micodir
-AC_SUBST(micodir)
-
-AC_MSG_CHECKING([for MICO version])
-AC_CACHE_VAL(kde_cv_mico_version,
-[
-AC_LANG_C
-cat >conftest.$ac_ext <<EOF
-#include <stdio.h>
-#include <mico/version.h>
-int main() {
-
- printf("MICO_VERSION=%s\n",MICO_VERSION);
- return (0);
-}
-EOF
-ac_compile='${CC-gcc} $CFLAGS $MICO_INCLUDES conftest.$ac_ext -o conftest'
-if AC_TRY_EVAL(ac_compile); then
- if eval `./conftest 2>&5`; then
- kde_cv_mico_version=$MICO_VERSION
- else
- AC_MSG_ERROR([your system is not able to execute a small application to
- find MICO version! Check $kde_micodir/include/mico/version.h])
- fi
-else
- AC_MSG_ERROR([your system is not able to compile a small application to
- find MICO version! Check $kde_micodir/include/mico/version.h])
-fi
-])
-
-dnl installed MICO version
-mico_v_maj=`echo $kde_cv_mico_version | sed -e 's/^\(.*\)\..*\..*$/\1/'`
-mico_v_mid=`echo $kde_cv_mico_version | sed -e 's/^.*\.\(.*\)\..*$/\1/'`
-mico_v_min=`echo $kde_cv_mico_version | sed -e 's/^.*\..*\.\(.*\)$/\1/'`
-
-if test "x$1" = "x"; then
- req_version="2.3.0"
-else
- req_version=$1
-fi
-
-dnl required MICO version
-req_v_maj=`echo $req_version | sed -e 's/^\(.*\)\..*\..*$/\1/'`
-req_v_mid=`echo $req_version | sed -e 's/^.*\.\(.*\)\..*$/\1/'`
-req_v_min=`echo $req_version | sed -e 's/^.*\..*\.\(.*\)$/\1/'`
-
-if test "$mico_v_maj" -lt "$req_v_maj" || \
- ( test "$mico_v_maj" -eq "$req_v_maj" && \
- test "$mico_v_mid" -lt "$req_v_mid" ) || \
- ( test "$mico_v_mid" -eq "$req_v_mid" && \
- test "$mico_v_min" -lt "$req_v_min" )
-
-then
- AC_MSG_ERROR([found MICO version $kde_cv_mico_version but version $req_version \
-at least is required. You should upgrade MICO.])
-else
- AC_MSG_RESULT([$kde_cv_mico_version (minimum version $req_version, ok)])
-fi
-
-LIBMICO="-lmico$kde_cv_mico_version $LIBCRYPT $LIBSOCKET $LIBDL"
-AC_SUBST(LIBMICO)
-if test -z "$IDL"; then
- IDL='$(kde_bindir)/cuteidl'
-fi
-AC_SUBST(IDL)
-IDL_DEPENDENCIES='$(kde_includes)/CUTE.h'
-AC_SUBST(IDL_DEPENDENCIES)
-
-idldir="\$(includedir)/idl"
-AC_SUBST(idldir)
-
-])
-
-AC_DEFUN([KDE_CHECK_MINI_STL],
-[
-AC_REQUIRE([KDE_CHECK_MICO])
-
-AC_MSG_CHECKING(if we use mico's mini-STL)
-AC_CACHE_VAL(kde_cv_have_mini_stl,
-[
-AC_LANG_SAVE
-AC_LANG_CPLUSPLUS
-kde_save_cxxflags="$CXXFLAGS"
-CXXFLAGS="$CXXFLAGS $MICO_INCLUDES"
-AC_TRY_COMPILE(
-[
-#include <mico/config.h>
-],
-[
-#ifdef HAVE_MINI_STL
-#error "nothing"
-#endif
-],
-kde_cv_have_mini_stl=no,
-kde_cv_have_mini_stl=yes)
-CXXFLAGS="$kde_save_cxxflags"
-AC_LANG_RESTORE
-])
-
-if test "x$kde_cv_have_mini_stl" = "xyes"; then
- AC_MSG_RESULT(yes)
- $1
-else
- AC_MSG_RESULT(no)
- $2
-fi
-])
-
-])
-
-AC_DEFUN([KDE_CHECK_ANSI],
-[
-])
-
-AC_DEFUN([KDE_CHECK_INSURE],
-[
- AC_ARG_ENABLE(insure, [ --enable-insure use insure++ for debugging [default=no]],
- [
- if test $enableval = "no"; dnl
- then ac_use_insure="no"
- else ac_use_insure="yes"
- fi
- ], [ac_use_insure="no"])
-
- AC_MSG_CHECKING(if we will use Insure++ to debug)
- AC_MSG_RESULT($ac_use_insure)
- if test "$ac_use_insure" = "yes"; dnl
- then CC="insure"; CXX="insure"; dnl CFLAGS="$CLAGS -fno-rtti -fno-exceptions "????
- fi
-])
-
-AC_DEFUN([KDE_CHECK_NEWLIBS],
-[
-
-])
/Version13x/Scribus/admin/oldinclude.m4.in
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/compile
===================================================================
--- Version13x/Scribus/admin/compile (revision 598)
+++ Version13x/Scribus/admin/compile (nonexistent)
@@ -1,99 +0,0 @@
-#! /bin/sh
-
-# Wrapper for compilers which do not understand `-c -o'.
-
-# Copyright 1999, 2000 Free Software Foundation, Inc.
-# Written by Tom Tromey <tromey@cygnus.com>.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-# As a special exception to the GNU General Public License, if you
-# distribute this file as part of a program that contains a
-# configuration script generated by Autoconf, you may include it under
-# the same distribution terms that you use for the rest of that program.
-
-# Usage:
-# compile PROGRAM [ARGS]...
-# `-o FOO.o' is removed from the args passed to the actual compile.
-
-prog=$1
-shift
-
-ofile=
-cfile=
-args=
-while test $# -gt 0; do
- case "$1" in
- -o)
- # configure might choose to run compile as `compile cc -o foo foo.c'.
- # So we do something ugly here.
- ofile=$2
- shift
- case "$ofile" in
- *.o | *.obj)
- ;;
- *)
- args="$args -o $ofile"
- ofile=
- ;;
- esac
- ;;
- *.c)
- cfile=$1
- args="$args $1"
- ;;
- *)
- args="$args $1"
- ;;
- esac
- shift
-done
-
-if test -z "$ofile" || test -z "$cfile"; then
- # If no `-o' option was seen then we might have been invoked from a
- # pattern rule where we don't need one. That is ok -- this is a
- # normal compilation that the losing compiler can handle. If no
- # `.c' file was seen then we are probably linking. That is also
- # ok.
- exec "$prog" $args
-fi
-
-# Name of file we expect compiler to create.
-cofile=`echo $cfile | sed -e 's|^.*/||' -e 's/\.c$/.o/'`
-
-# Create the lock directory.
-# Note: use `[/.-]' here to ensure that we don't use the same name
-# that we are using for the .o file. Also, base the name on the expected
-# object file name, since that is what matters with a parallel build.
-lockdir=`echo $cofile | sed -e 's|[/.-]|_|g'`.d
-while true; do
- if mkdir $lockdir > /dev/null 2>&1; then
- break
- fi
- sleep 1
-done
-# FIXME: race condition here if user kills between mkdir and trap.
-trap "rmdir $lockdir; exit 1" 1 2 15
-
-# Run the compile.
-"$prog" $args
-status=$?
-
-if test -f "$cofile"; then
- mv "$cofile" "$ofile"
-fi
-
-rmdir $lockdir
-exit $status
/Version13x/Scribus/admin/compile
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/deps.am
===================================================================
--- Version13x/Scribus/admin/deps.am (revision 598)
+++ Version13x/Scribus/admin/deps.am (nonexistent)
@@ -1,19 +0,0 @@
-$(top_srcdir)/acinclude.m4: $(top_srcdir)/admin/acinclude.m4.in $(top_srcdir)/admin/libtool.m4.in $(top_srcdir)/admin/cvs.sh
- @cd $(top_srcdir) && $(SHELL) admin/cvs.sh acinclude_m4
-
-$(top_srcdir)/configure.in: $(top_srcdir)/subdirs $(top_srcdir)/configure.files $(top_srcdir)/admin/cvs.sh
- @cd $(top_srcdir) && $(SHELL) admin/cvs.sh configure_in
-
-$(top_srcdir)/configure.files: $(top_srcdir)/subdirs $(CONF_FILES)
- @cd $(top_srcdir) && $(SHELL) admin/cvs.sh configure.files $(top_srcdir)/admin/cvs.sh
-
-$(top_srcdir)/Makefile.am: $(top_srcdir)/Makefile.am.in $(top_srcdir)/subdirs $(top_srcdir)/admin/cvs.sh
- @cd $(top_srcdir) && $(SHELL) admin/cvs.sh Makefile_am
-
-$(top_srcdir)/subdirs: $(top_srcdir)/Makefile.am.in $(top_srcdir)/admin/cvs.sh
- @cd $(top_srcdir) && $(SHELL) admin/cvs.sh subdirs
-
-# defining default rules for files that may not be present
-$(top_srcdir)/Makefile.am.in:
-$(CONF_FILES):
-
/Version13x/Scribus/admin/deps.am
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/Doxyfile.am
===================================================================
--- Version13x/Scribus/admin/Doxyfile.am (revision 598)
+++ Version13x/Scribus/admin/Doxyfile.am (nonexistent)
@@ -1,179 +0,0 @@
-## generate API documentation with doxygen
-apidox-am-yes:
- @if test "$(subdir)" != "."; then \
- $(mkinstalldirs) $(top_builddir)/apidocs/$(subdir) ;\
- if test ! -x $(top_builddir)/apidocs/common; then \
- if test -d $(top_srcdir)/doc/common; then \
- common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
- else \
- common_dir=$(kde_libs_htmldir)/en/common ;\
- fi ;\
- $(LN_S) $$common_dir $(top_builddir)/apidocs/common; \
- fi ;\
- cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
- echo "PROJECT_NAME = \"$(subdir) Library\"" >> Doxyfile; \
- echo "PROJECT_NUMBER = \"Version $(VERSION)\"" >> Doxyfile; \
- echo "INPUT = $(srcdir)" >> Doxyfile; \
- echo "IMAGE_PATH = $(top_srcdir)/doc/api" >> Doxyfile ;\
- echo "OUTPUT_DIRECTORY = $(top_builddir)/apidocs" >> Doxyfile; \
- echo "HTML_OUTPUT = $(subdir)/html" >> Doxyfile; \
- echo "HTML_HEADER = $(top_builddir)/apidocs/common/header.html" >> Doxyfile;\
- echo "HTML_FOOTER = $(top_builddir)/apidocs/common/footer.html" >> Doxyfile;\
- echo "HTML_STYLESHEET = $(top_builddir)/apidocs/common/doxygen.css" >> Doxyfile;\
- echo "LATEX_OUTPUT = $(subdir)/latex" >> Doxyfile; \
- echo "RTF_OUTPUT = $(subdir)/rtf" >> Doxyfile; \
- echo "MAN_OUTPUT = $(subdir)/man" >> Doxyfile; \
- echo "GENERATE_HTML = $(GENERATE_FLAG)" >> Doxyfile ;\
- echo "GENERATE_MAN = $(GENERATE_FLAG)" >> Doxyfile ;\
- echo "GENERATE_LATEX = $(GENERATE_FLAG)" >> Doxyfile ;\
- if test -n "$(DOXYGEN_EXCLUDE)"; then \
- patterns= ;\
- dirs= ;\
- for item in `echo "$(DOXYGEN_EXCLUDE)"`; do \
- if test -d "$(srcdir)/$$item"; then \
- dirs="$$dirs $(srcdir)/$$item/" ;\
- else \
- patterns="$$patterns $$item" ;\
- fi ;\
- done ;\
- echo "EXCLUDE_PATTERNS += $$patterns" >> Doxyfile; \
- echo "EXCLUDE += $$dirs" >> Doxyfile ;\
- fi ;\
- echo "TAGFILES = \\" >> Doxyfile; \
- tags='$(DOXYGEN_REFERENCES) qt'; for tag in $$tags; do \
- tagpath= ;\
- path="../../$$tag" ;\
- if test -f $(top_builddir)/apidocs/$$tag/$$tag.tag; then \
- tagpath="$(top_builddir)/apidocs/$$tag/$$tag.tag" ;\
- else \
- tagpath=`ls -1 $(kde_htmldir)/en/*-apidocs/$$tag/$$tag.tag 2> /dev/null` ;\
- if test -n "$$tagpath"; then \
- path=`echo $$tagpath | sed -e "s,.*/\([^/]*-apidocs\)/$$tag/$$tag.tag,../../../\1/$$tag,"` ;\
- fi ;\
- fi ;\
- if test "$$tag" = qt; then \
- echo $$tagpath=$(QTDOCDIR) >> Doxyfile ;\
- else if test -n "$$tagpath"; then \
- echo "$$tagpath=$$path/html \\" >> Doxyfile ;\
- fi ;\
- fi ;\
- done ;\
- echo "GENERATE_TAGFILE = $(top_builddir)/apidocs/$(subdir)/`basename $(subdir)`.tag" >> Doxyfile ;\
- echo "IGNORE_PREFIX = K" >> Doxyfile ;\
- echo "HAVE_DOT = $(KDE_HAVE_DOT)" >> Doxyfile ;\
- $(DOXYGEN) Doxyfile ;\
- fi
-
-apidox-am-no:
-
-install-data-local: install-apidox
-
-## install API documentation
-install-apidox:
- @if test "$(subdir)" != "."; then \
- $(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html ; \
- if test -f $(top_builddir)/apidocs/$(subdir)/$(subdir).tag; then \
- echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
- $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
- fi; \
- if test -d $(top_builddir)/apidocs/$(subdir)/html; then \
- list=`ls $(top_builddir)/apidocs/$(subdir)/html`; \
- echo "installing $(top_builddir)/apidocs/$(subdir)/html" ;\
- for file in $$list; do \
- $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
- done; \
- fi; \
- rm -f $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
- $(LN_S) $(kde_libs_htmldir)/en/common $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
- else\
- if test -d $(top_builddir)/apidocs; then \
- $(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs ;\
- list=`cd $(top_builddir)/apidocs && ls -1`; \
- echo "installing $(top_builddir)/apidocs/$$file" ;\
- for file in $$list; do \
- if test -f $(top_builddir)/apidocs/$$file; then \
- $(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
- fi; \
- done ; fi; \
- fi
-
-uninstall-local: uninstall-apidox
-
-## uninstall API documentation
-uninstall-apidox:
- @if test "$(subdir)" != "."; then \
- if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); then \
- rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
- fi\
- else\
- if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; then \
- rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
- fi\
- fi
-
-apidox:
- @if test "$(subdir)" != "."; then \
- $(MAKE) apidox-am-@KDE_HAS_DOXYGEN@ ;\
- else \
- $(MAKE) apidox-am-toplevel-@KDE_HAS_DOXYGEN@ ;\
- fi
- @set fnord $(MAKEFLAGS); amf=$$2; if test -n '$(SUBDIRS)'; then \
- list='$(SUBDIRS)'; \
- for subdir in $$list; do \
- if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
- echo "Making apidox in $$subdir"; \
- if test "$$subdir" != "."; then \
- (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=no apidox) || exit 1; \
- fi ; fi ;\
- done; \
- for subdir in $$list; do \
- if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
- echo "Making apidox in $$subdir"; \
- if test "$$subdir" != "."; then \
- (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=yes apidox) || exit 1; \
- fi ; fi ;\
- done; \
- fi
-
-apidox-am-toplevel-no:
-apidox-am-toplevel-yes:
- @echo "*** Creating API documentation main page"; \
- cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
- echo "PROJECT_NAME = \"$(DOXYGEN_PROJECT_NAME)\"" >> Doxyfile ; \
- echo "PROJECT_NUMBER = \"$(DOXYGEN_PROJECT_NUMBER)\"" >> Doxyfile ; \
- echo "INPUT = $(top_srcdir)" >> Doxyfile ; \
- echo "OUTPUT_DIRECTORY = $(top_builddir)/apidocs" >> Doxyfile ; \
- echo "FILE_PATTERNS = *.dox" >> Doxyfile ; \
- echo "RECURSIVE = NO" >> Doxyfile ; \
- echo "SOURCE_BROWSER = NO" >> Doxyfile ; \
- echo "ALPHABETICAL_INDEX = NO" >> Doxyfile ; \
- echo "HTML_OUTPUT = ." >> Doxyfile ; \
- echo "HTML_HEADER = apidocs/common/mainheader.html" >> Doxyfile ; \
- echo "HTML_FOOTER = apidocs/common/mainfooter.html" >> Doxyfile ; \
- echo "HTML_STYLESHEET = apidocs/common/doxygen.css" >> Doxyfile ; \
- echo "GENERATE_LATEX = NO" >> Doxyfile ; \
- echo "GENERATE_RTF = NO" >> Doxyfile ; \
- echo "GENERATE_MAN = NO" >> Doxyfile ; \
- echo "GENERATE_XML = NO" >> Doxyfile ; \
- echo "GENERATE_AUTOGEN_DEF = NO" >> Doxyfile ; \
- echo "ENABLE_PREPROCESSING = NO" >> Doxyfile ; \
- echo "CLASS_DIAGRAMS = NO" >> Doxyfile ; \
- echo "HAVE_DOT = NO" >> Doxyfile ; \
- echo "GENERATE_HTML = YES" >> Doxyfile ;\
- $(mkinstalldirs) $(top_builddir)/apidocs ; \
- rm -f $(top_builddir)/apidocs/common ; \
- if test -d $(top_srcdir)/doc/common; then \
- common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
- else \
- common_dir=$(kde_libs_htmldir)/en/common ;\
- fi ;\
- $(LN_S) $$common_dir $(top_builddir)/apidocs/common ;\
- doxygen Doxyfile; \
- rm -f Doxyfile
-
-.PHONY: apidox-am-yes apidox-am-no install-data-local install-apidox install-apidox uninstall-local uninstall-apidox uninstall-apidox apidox apidox-am-toplevel-no apidox-am-toplevel-yes
-
-
-# Local Variables:
-# mode: makefile
-# End:
/Version13x/Scribus/admin/Doxyfile.am
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: Version13x/Scribus/admin/bcheck.pl
===================================================================
--- Version13x/Scribus/admin/bcheck.pl (revision 598)
+++ Version13x/Scribus/admin/bcheck.pl (nonexistent)
@@ -1,156 +0,0 @@
-#!/usr/bin/perl -w
-
-use DB_File;
-use Fcntl ':flock';
-
-if (!defined($ARGV[0])) {
- print "usage: requires .class dump as parameter!\n";
- exit;
-}
-
-sub bailout
-{
- untie %bcheckdb if(defined(%bcheckdb));
-
- if(defined(MYLOCK)) {
- flock MYLOCK, LOCK_UN;
- close(MYLOCK);
- }
-
- print @_;
- exit 5;
-}
-
-sub ask_user
-{
- my ($dbkey, $dbchunk) = @_;
-
- if (defined($ENV{"BCHECK_UPDATE"})) {
- $bcheckdb{$dbkey} = $dbchunk;
- return;
- }
-
- &bailout("BC problem detected") if (! -t STDIN);
-
- print "(I)gnore / (Q)uit / (U)pdate: ";
-
- my $key;
- while(defined(read STDIN, $key, 1)) {
- $key = lc($key);
-
- print "got: >$key<\n";
-
- return if ($key eq 'i');
-
- &bailout("BC problem. aborted") if ($key eq 'q');
-
- if ($key eq 'u') {
- $bcheckdb{$dbkey} = $dbchunk;
- return;
- }
- print "\n(I)gnore / (Q)uit / (U)pdate: ";
- }
-}
-
-sub diff_chunk($$)
-{
- my ($oldl, $newl) = @_;
- my @old = split /^/m, $oldl;
- my @new = split /^/m, $newl;
- my $haschanges = 0;
- my $max = $#old > $#new ? $#old : $#new;
-
- die "whoops. key different" if ($old[0] ne $new[0]);
-
- if ($#old != $#new) {
- warn ("Structural difference.\n");
- print @old;
- print "-----------------------------------------------\n";
- print @new;
- $haschanges = 1;
- return $haschanges;
- }
-
- print $old[0];
-
- my ($class) = ($old[0] =~ /^(?:Class |Vtable for )(\S+)/);
-
- my $c = 1;
- while ($c < $max) {
- my ($o, $n) = ($old[$c], $new[$c]);
- chomp $o;
- chomp $n;
- $c++;
- next if ($o eq $n);
-
- if(defined($class) and $n =~ /^(\d+\s+)\w+(::\S+\s*.*)$/) {
- next if ($n eq "$1$class$2");
- }
-
- $haschanges = 1;
-
- print "-$o\n+$n\n\n";
- }
-
- return $haschanges;
-}
-
-local $dblock = $ENV{"HOME"} . "/bcheck.lock";
-my $dbfile = $ENV{"HOME"} . "/bcheck.db";
-my $cdump = $ARGV[0];
-
-die "file $cdump is not readable: $!" if (! -f $cdump);
-
-# make sure the advisory lock exists
-open(MYLOCK, ">$dblock");
-print MYLOCK "";
-
-flock MYLOCK, LOCK_EX;
-
-tie %bcheckdb, 'DB_File', $dbfile;
-
-my $chunk = "";
-
-open (IN, "<$cdump") or die "cannot open $cdump: $!";
-while (<IN>) {
-
- chop;
-
- s/0x[0-9a-fA-F]+/0x......../g;
- s/base size=/size=/g;
- s/base align=/align=/g;
-
- $chunk .= $_ . "\n";
-
- if(/^\s*$/) {
- my @lines = split /^/m, $chunk;
- my $key = $lines[0];
- chomp $key;
-
- if($key !~ /<anonymous struct>/ &&
- $key !~ /<anonymous union>/) {
- if(defined($bcheckdb{$key})) {
- my $dbversion = $bcheckdb{$key};
-
- if($dbversion ne $chunk) {
- &ask_user($key, $chunk) if(&diff_chunk($dbversion, $chunk));
- }
- }
- else {
- $bcheckdb{$key} = $chunk;
- print "NEW: $key\n";
- }
- }
-
- $chunk = "";
- next;
- }
-
-}
-close(IN);
-
-untie %bcheckdb;
-flock MYLOCK, LOCK_UN;
-close(MYLOCK);
-
-exit 0;
/Version13x/Scribus/admin/bcheck.pl
Property changes:
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property